Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487202 (CVE-2017-12944) - CVE-2017-12944 libtiff: Mishandled memory allocation for short files in the TIFFReadDirEntryArray function
Summary: CVE-2017-12944 libtiff: Mishandled memory allocation for short files in the T...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12944
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1474374 1474372 1474373 1910613
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 12:26 UTC by Andrej Nemec
Modified: 2020-12-24 10:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:15 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-08-31 12:26:56 UTC
The TIFFReadDirEntryArray function in tif_read.c in LibTIFF mishandles memory allocation for short files, which allows attackers to cause a denial of service (allocation failure and application crash) in the TIFFFetchStripThing function in tif_dirread.c during a tiff2pdf invocation.

Upstream issue:

http://bugzilla.maptools.org/show_bug.cgi?id=2725

Upstream patch:

https://github.com/vadz/libtiff/commit/dc02f9050311a90b3c0655147cee09bfa7081cfc

Comment 1 Andrej Nemec 2017-08-31 12:27:59 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1474373]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1474372]
Affects: fedora-all [bug 1474374]


Note You need to log in before you can comment on or make changes to this bug.